/*****************************************************************************\
* Copyright (c) 2003 Pelle Johansson.                                         *
* All rights reserved.                                                        *
*                                                                             *
* This file is part of the moftpd package. Use and distribution of            *
* this software is governed by the terms in the file LICENCE, which           *
* should have come with this package.                                         *
\*****************************************************************************/

/* $Id: compat.h 1020 2004-05-10 10:33:54Z morth $ */

#ifndef _COMPAT_H
#define _COMPAT_H

#ifndef HAVE_GETPROGNAME
const char *getprogname (void);
#endif

#ifndef HAVE_SETPROGNAME
void setprogname (const char *name);
#endif

#ifndef LOG_FTP
#define LOG_FTP LOG_DAEMON
#endif
#ifndef LOG_PERROR
#define LOG_PERROR 0
#endif
#ifndef LOG_AUTHPRIV
#define LOG_AUTHPRIV LOG_AUTH
#endif

#ifndef MAP_FILE
#define MAP_FILE 0
#endif

#endif /*_COMPAT_H*/
