/*****************************************************************************\
* Copyright (c) 2003 Pelle Johansson.                                         *
* All rights reserved.                                                        *
*                                                                             *
* This file is part of the moftpd package. Use and distribution of            *
* this software is governed by the terms in the file LICENCE, which           *
* should have come with this package.                                         *
\*****************************************************************************/

/* $Id: compat.c 1020 2004-05-10 10:33:54Z morth $ */

#include "system.h"

#include "compat.h"

#ifndef HAVE_GETPROGNAME
static const char *progname;

const char *getprogname (void)
{
  return progname;
}

void setprogname (const char *name)
{
  progname = name;
}
#elif !defined (HAVE_SETPROGNAME)
void setprogname (const char *name)
{
}
#endif
