
/*  A Bison parser, made from ./config.y
    by GNU Bison version 1.28  */

#define YYBISON 1  /* Identify Bison output.  */

#define	D_NUMBER	257
#define	D_STRING	258
#define	D_BOOL	259
#define	D_UID	260
#define	D_GID	261
#define	I_SERVER	262
#define	I_USER	263
#define	I_DIRECTORY	264
#define	I_UNPRIVUID	265
#define	I_UNPRIVGID	266
#define	I_XFERBUFFSIZE	267
#define	I_FAKECHROOT	268
#define	I_FORKCLIENTS	269
#define	I_RESET	270
#define	I_EXEC	271
#define	I_LOCALEDIR	272
#define	I_TRUSTEDCERTSDIR	273
#define	I_MAXMMAPSIZE	274
#define	I_PIDFILE	275
#define	I_ACCOUNTERSOCK	276
#define	I_LIMITFILESIZE	277
#define	I_UNLIMIT	278
#define	I_PORT	279
#define	I_BIND	280
#define	I_MINPASVPORT	281
#define	I_MAXPASVPORT	282
#define	I_PASSIFINVALID	283
#define	I_ALLOWUNBOUND	284
#define	I_ALLOWFOREIGN	285
#define	I_ALLOWLOWPORTS	286
#define	I_USERALIAS	287
#define	I_SLEEPONFAIL	288
#define	I_ALLOWOUTOFRANGE	289
#define	I_MAXLOGINATTEMPTS	290
#define	I_PAMSERVICE	291
#define	I_RANGE	292
#define	I_DEFAULTHARDLINK	293
#define	I_ACCEPTTLS	294
#define	I_TLSVERIFYCLIENT	295
#define	I_TLSAUTOLOGIN	296
#define	I_TLSNONEWUSER	297
#define	I_DIRECTORYMSGFILE	298
#define	I_MAXCONNECTS	299
#define	I_SQLCONNECT	300
#define	I_SQLPASSWORD	301
#define	I_SQLTLSCONNECT	302
#define	I_SQLUSERQUERY	303
#define	I_SQLDIRQUERY	304
#define	I_SQLCONNECTQUERY	305
#define	I_LOGINFAILEDMSG	306
#define	I_USERINVALIDMSG	307
#define	I_PASSREQUESTMSG	308
#define	I_ANONPASSMSG	309
#define	I_WELCOMEMSG	310
#define	I_ANONYMOUS	311
#define	I_HOME	312
#define	I_CHROOT	313
#define	I_ALIAS	314
#define	I_PASSWORDNEEDED	315
#define	I_PASSWORD	316
#define	I_UID	317
#define	I_GID	318
#define	I_ALLOWLOGIN	319
#define	I_MAXIDLE	320
#define	I_ALLOWSECLOGIN	321
#define	I_MAXLOGINS	322
#define	I_EXTERNLOGIN	323
#define	I_EXTERNACCESS	324
#define	I_ADMIN	325
#define	I_LIST	326
#define	I_MSG	327
#define	I_ABORT	328
#define	I_DISCONNECT	329
#define	I_RELOAD	330
#define	I_ALLOW	331
#define	I_DENY	332
#define	I_HIDDEN	333
#define	I_FAKEUSER	334
#define	I_FAKEGROUP	335
#define	I_REQUIRE	336
#define	I_MASK	337
#define	I_SEARCH	338
#define	I_READFILE	339
#define	I_LISTING	340
#define	I_CREATEFILE	341
#define	I_CREATEDIR	342
#define	I_APPEND	343
#define	I_OVERWRITE	344
#define	I_FAKEFILEMODE	345
#define	I_FAKEDIRMODE	346
#define	I_HARDLINK	347
#define	I_DELETE	348
#define	I_RENAME	349
#define	I_READING	350
#define	I_WRITING	351
#define	I_STORING	352
#define	I_ALL	353
#define	I_ENCRYPTED	354
#define	I_SIGNED	355
#define	I_ETAG	356

#line 14 "./config.y"


#include "system.h"

#include "confparse.h"

#include "server.h"
#include "user.h"
#include "utf8fs/file.h"
#include "utf8fs/memory.h"

static struct stack
{
  void *item;
  struct stack *next;
} *servstack, *userstack, *dirstack, *servtop, *usertop, *dirtop;

static server_t *currserv;
static user_t *curruser;
static access_t *currdir;

int confExpectingToken;

extern uid_t unprivUid;
extern gid_t unprivGid;
extern int xferBufferSize, fakeChroot, forkConnections;
extern size_t maxMmapSize;
extern const char *localeDir, *pidFile, *accPath;
extern char *sslCertsPath;


#line 46 "./config.y"
typedef union
{
  long long num;
  char str[1000];
} YYSTYPE;
#include <stdio.h>

#ifndef __cplusplus
#ifndef __STDC__
#define const
#endif
#endif



#define	YYFINAL		345
#define	YYFLAG		-32768
#define	YYNTBASE	107

#define YYTRANSLATE(x) ((unsigned)(x) <= 356 ? yytranslate[x] : 190)

static const char yytranslate[] = {     0,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,   106,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,   103,   104,
     2,   105,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     1,     3,     4,     5,     6,
     7,     8,     9,    10,    11,    12,    13,    14,    15,    16,
    17,    18,    19,    20,    21,    22,    23,    24,    25,    26,
    27,    28,    29,    30,    31,    32,    33,    34,    35,    36,
    37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
    47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
    57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
    67,    68,    69,    70,    71,    72,    73,    74,    75,    76,
    77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
    87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
    97,    98,    99,   100,   101,   102
};

#if YYDEBUG != 0
static const short yyprhs[] = {     0,
     0,     1,     4,     5,     7,     9,    11,    13,    15,    18,
    20,    21,    25,    26,    30,    33,    36,    39,    40,    44,
    45,    49,    52,    53,    57,    58,    62,    65,    69,    70,
    76,    80,    81,    84,    86,    89,    91,    93,    96,    97,
   101,   102,   106,   109,   112,   115,   118,   121,   124,   127,
   128,   132,   135,   138,   141,   142,   146,   147,   151,   152,
   156,   157,   161,   162,   166,   169,   170,   171,   178,   181,
   184,   187,   188,   189,   196,   199,   202,   203,   207,   210,
   211,   215,   216,   217,   218,   219,   232,   233,   237,   238,
   239,   246,   247,   251,   252,   256,   257,   261,   264,   267,
   269,   273,   275,   277,   279,   281,   283,   285,   287,   289,
   291,   293,   295,   297,   301,   302,   308,   312,   313,   316,
   318,   321,   323,   326,   327,   331,   332,   336,   337,   341,
   344,   345,   349,   350,   354,   355,   359,   362,   365,   368,
   371,   374,   375,   379,   380,   384,   387,   388,   392,   393,
   397,   400,   403,   406,   408,   412,   414,   416,   418,   420,
   422,   424,   426,   430,   432,   434,   436,   438,   440,   442,
   444,   446,   448,   452,   453,   459,   463,   464,   467,   469,
   472,   475,   478,   481,   484,   485,   489,   490,   494,   495,
   499,   500,   504,   507,   508,   512,   513,   517,   520,   522,
   526,   528,   530,   532,   534,   536,   538,   542,   544,   546,
   548,   550,   552,   554,   556,   558,   560,   562,   564,   566,
   568,   570
};

static const short yyrhs[] = {    -1,
   107,   111,     0,     0,   103,     0,     5,     0,     3,     0,
    24,     0,     3,     0,   112,   108,     0,   119,     0,     0,
    11,   113,     6,     0,     0,    12,   114,     7,     0,    13,
     3,     0,    14,   109,     0,    15,   109,     0,     0,    18,
   115,     4,     0,     0,    19,   116,     4,     0,    20,     3,
     0,     0,    21,   117,     4,     0,     0,    22,   118,     4,
     0,    23,   110,     0,   120,   123,   122,     0,     0,   104,
     8,   121,     4,   105,     0,   102,     8,   105,     0,     0,
   123,   124,     0,   119,     0,   125,   108,     0,   152,     0,
   173,     0,    25,     3,     0,     0,    26,   126,     4,     0,
     0,    38,   127,     4,     0,    27,     3,     0,    28,     3,
     0,    29,   109,     0,    30,   109,     0,    31,   109,     0,
    35,   109,     0,    32,   109,     0,     0,    59,   128,     4,
     0,    61,   109,     0,    65,   109,     0,    67,   109,     0,
     0,    52,   129,     4,     0,     0,    53,   130,     4,     0,
     0,    54,   131,     4,     0,     0,    55,   132,     4,     0,
     0,    56,   133,     4,     0,    66,     3,     0,     0,     0,
    40,   134,     4,   106,   135,     4,     0,    41,     5,     0,
    42,     5,     0,    43,     5,     0,     0,     0,    33,   136,
     4,   106,   137,     4,     0,    34,     3,     0,    36,     3,
     0,     0,    37,   138,     4,     0,    39,   109,     0,     0,
    44,   139,     4,     0,     0,     0,     0,     0,    46,   140,
     4,   106,   141,     4,   106,   142,     4,   106,   143,     4,
     0,     0,    47,   144,     4,     0,     0,     0,    48,   145,
     4,   106,   146,     4,     0,     0,    49,   147,     4,     0,
     0,    50,   148,     4,     0,     0,    51,   149,     4,     0,
    45,     3,     0,    16,   150,     0,   151,     0,   150,   106,
   151,     0,    25,     0,    26,     0,    52,     0,    53,     0,
    54,     0,    55,     0,    44,     0,    56,     0,    38,     0,
    49,     0,    50,     0,    51,     0,   153,   156,   155,     0,
     0,   104,     9,   154,     4,   105,     0,   102,     9,   105,
     0,     0,   156,   157,     0,   152,     0,   158,   108,     0,
   173,     0,    57,   109,     0,     0,    60,   159,     4,     0,
     0,    58,   160,     4,     0,     0,    59,   161,     4,     0,
    61,   109,     0,     0,    62,   162,     4,     0,     0,    63,
   163,     6,     0,     0,    64,   164,     7,     0,    65,   109,
     0,    67,   109,     0,    31,   109,     0,    35,   109,     0,
    66,     3,     0,     0,    69,   165,     4,     0,     0,    70,
   166,     4,     0,    39,   109,     0,     0,    44,   167,     4,
     0,     0,    50,   168,     4,     0,    71,   169,     0,    68,
     3,     0,    16,   171,     0,   170,     0,   169,   106,   170,
     0,    72,     0,    73,     0,    74,     0,    75,     0,    76,
     0,    99,     0,   172,     0,   171,   106,   172,     0,    63,
     0,    64,     0,    58,     0,    62,     0,    69,     0,    70,
     0,    44,     0,    50,     0,    71,     0,   174,   177,   176,
     0,     0,   104,    10,   175,     4,   105,     0,   102,    10,
   105,     0,     0,   177,   178,     0,   173,     0,   179,   108,
     0,    77,   188,     0,    78,   188,     0,    82,   188,     0,
    79,   109,     0,     0,    80,   180,     4,     0,     0,    81,
   181,     4,     0,     0,    91,   182,     4,     0,     0,    92,
   183,     4,     0,    93,   109,     0,     0,    44,   184,     4,
     0,     0,    83,   185,     4,     0,    16,   186,     0,   187,
     0,   186,   106,   187,     0,    80,     0,    81,     0,    91,
     0,    92,     0,    44,     0,   189,     0,   188,   106,   189,
     0,    84,     0,    85,     0,    86,     0,    87,     0,    88,
     0,    89,     0,    90,     0,    94,     0,    95,     0,   100,
     0,   101,     0,    96,     0,    97,     0,    98,     0,    99,
     0
};

#endif

#if YYDEBUG != 0
static const short yyrline[] = { 0,
    94,    95,    98,    99,   102,   104,   108,   110,   113,   114,
   117,   120,   123,   126,   129,   138,   142,   146,   149,   163,
   166,   170,   174,   177,   180,   183,   186,   205,   208,   210,
   239,   246,   247,   250,   251,   252,   253,   256,   260,   263,
   266,   269,   370,   380,   390,   394,   398,   402,   406,   410,
   413,   418,   422,   426,   430,   433,   438,   441,   446,   449,
   454,   457,   462,   465,   469,   473,   475,   478,   536,   548,
   557,   566,   568,   571,   574,   578,   582,   585,   594,   598,
   601,   605,   608,   611,   614,   617,   646,   649,   655,   658,
   661,   673,   676,   682,   685,   691,   694,   700,   704,   707,
   708,   711,   718,   725,   731,   737,   743,   749,   754,   759,
   765,   772,   779,   788,   791,   793,   852,   878,   879,   882,
   883,   884,   887,   897,   900,   903,   906,   911,   914,   919,
   923,   926,   933,   936,   940,   943,   947,   951,   955,   959,
   963,   967,   970,   974,   977,   981,   985,   988,   992,   995,
  1001,  1005,  1009,  1012,  1016,  1022,  1026,  1030,  1034,  1038,
  1042,  1048,  1049,  1052,  1056,  1060,  1067,  1071,  1076,  1081,
  1086,  1093,  1099,  1102,  1104,  1123,  1207,  1208,  1211,  1212,
  1215,  1221,  1227,  1235,  1239,  1242,  1246,  1249,  1253,  1256,
  1260,  1263,  1267,  1271,  1274,  1278,  1281,  1290,  1293,  1294,
  1297,  1303,  1309,  1315,  1321,  1328,  1332,  1338,  1342,  1346,
  1350,  1354,  1358,  1362,  1366,  1370,  1374,  1378,  1382,  1386,
  1391,  1395
};
#endif


#if YYDEBUG != 0 || defined (YYERROR_VERBOSE)

static const char * const yytname[] = {   "$","error","$undefined.","D_NUMBER",
"D_STRING","D_BOOL","D_UID","D_GID","I_SERVER","I_USER","I_DIRECTORY","I_UNPRIVUID",
"I_UNPRIVGID","I_XFERBUFFSIZE","I_FAKECHROOT","I_FORKCLIENTS","I_RESET","I_EXEC",
"I_LOCALEDIR","I_TRUSTEDCERTSDIR","I_MAXMMAPSIZE","I_PIDFILE","I_ACCOUNTERSOCK",
"I_LIMITFILESIZE","I_UNLIMIT","I_PORT","I_BIND","I_MINPASVPORT","I_MAXPASVPORT",
"I_PASSIFINVALID","I_ALLOWUNBOUND","I_ALLOWFOREIGN","I_ALLOWLOWPORTS","I_USERALIAS",
"I_SLEEPONFAIL","I_ALLOWOUTOFRANGE","I_MAXLOGINATTEMPTS","I_PAMSERVICE","I_RANGE",
"I_DEFAULTHARDLINK","I_ACCEPTTLS","I_TLSVERIFYCLIENT","I_TLSAUTOLOGIN","I_TLSNONEWUSER",
"I_DIRECTORYMSGFILE","I_MAXCONNECTS","I_SQLCONNECT","I_SQLPASSWORD","I_SQLTLSCONNECT",
"I_SQLUSERQUERY","I_SQLDIRQUERY","I_SQLCONNECTQUERY","I_LOGINFAILEDMSG","I_USERINVALIDMSG",
"I_PASSREQUESTMSG","I_ANONPASSMSG","I_WELCOMEMSG","I_ANONYMOUS","I_HOME","I_CHROOT",
"I_ALIAS","I_PASSWORDNEEDED","I_PASSWORD","I_UID","I_GID","I_ALLOWLOGIN","I_MAXIDLE",
"I_ALLOWSECLOGIN","I_MAXLOGINS","I_EXTERNLOGIN","I_EXTERNACCESS","I_ADMIN","I_LIST",
"I_MSG","I_ABORT","I_DISCONNECT","I_RELOAD","I_ALLOW","I_DENY","I_HIDDEN","I_FAKEUSER",
"I_FAKEGROUP","I_REQUIRE","I_MASK","I_SEARCH","I_READFILE","I_LISTING","I_CREATEFILE",
"I_CREATEDIR","I_APPEND","I_OVERWRITE","I_FAKEFILEMODE","I_FAKEDIRMODE","I_HARDLINK",
"I_DELETE","I_RENAME","I_READING","I_WRITING","I_STORING","I_ALL","I_ENCRYPTED",
"I_SIGNED","I_ETAG","';'","'<'","'>'","','","input","semicolon","bool","limit",
"topst","topopt","@1","@2","@3","@4","@5","@6","server","servstart","@7","servend",
"servdata","servst","servopt","@8","@9","@10","@11","@12","@13","@14","@15",
"@16","@17","@18","@19","@20","@21","@22","@23","@24","@25","@26","@27","@28",
"@29","@30","@31","srvrstlist","srvrstitem","user","userstart","@32","userend",
"userdata","userst","useropt","@33","@34","@35","@36","@37","@38","@39","@40",
"@41","@42","adminlist","adminitem","usrrstlist","usrrstitem","directory","dirstart",
"@43","dirend","dirdata","dirst","diropt","@44","@45","@46","@47","@48","@49",
"dirrstlist","dirrstitem","accesslist","accessitem", NULL
};
#endif

static const short yyr1[] = {     0,
   107,   107,   108,   108,   109,   109,   110,   110,   111,   111,
   113,   112,   114,   112,   112,   112,   112,   115,   112,   116,
   112,   112,   117,   112,   118,   112,   112,   119,   121,   120,
   122,   123,   123,   124,   124,   124,   124,   125,   126,   125,
   127,   125,   125,   125,   125,   125,   125,   125,   125,   128,
   125,   125,   125,   125,   129,   125,   130,   125,   131,   125,
   132,   125,   133,   125,   125,   134,   135,   125,   125,   125,
   125,   136,   137,   125,   125,   125,   138,   125,   125,   139,
   125,   140,   141,   142,   143,   125,   144,   125,   145,   146,
   125,   147,   125,   148,   125,   149,   125,   125,   125,   150,
   150,   151,   151,   151,   151,   151,   151,   151,   151,   151,
   151,   151,   151,   152,   154,   153,   155,   156,   156,   157,
   157,   157,   158,   159,   158,   160,   158,   161,   158,   158,
   162,   158,   163,   158,   164,   158,   158,   158,   158,   158,
   158,   165,   158,   166,   158,   158,   167,   158,   168,   158,
   158,   158,   158,   169,   169,   170,   170,   170,   170,   170,
   170,   171,   171,   172,   172,   172,   172,   172,   172,   172,
   172,   172,   173,   175,   174,   176,   177,   177,   178,   178,
   179,   179,   179,   179,   180,   179,   181,   179,   182,   179,
   183,   179,   179,   184,   179,   185,   179,   179,   186,   186,
   187,   187,   187,   187,   187,   188,   188,   189,   189,   189,
   189,   189,   189,   189,   189,   189,   189,   189,   189,   189,
   189,   189
};

static const short yyr2[] = {     0,
     0,     2,     0,     1,     1,     1,     1,     1,     2,     1,
     0,     3,     0,     3,     2,     2,     2,     0,     3,     0,
     3,     2,     0,     3,     0,     3,     2,     3,     0,     5,
     3,     0,     2,     1,     2,     1,     1,     2,     0,     3,
     0,     3,     2,     2,     2,     2,     2,     2,     2,     0,
     3,     2,     2,     2,     0,     3,     0,     3,     0,     3,
     0,     3,     0,     3,     2,     0,     0,     6,     2,     2,
     2,     0,     0,     6,     2,     2,     0,     3,     2,     0,
     3,     0,     0,     0,     0,    12,     0,     3,     0,     0,
     6,     0,     3,     0,     3,     0,     3,     2,     2,     1,
     3,     1,     1,     1,     1,     1,     1,     1,     1,     1,
     1,     1,     1,     3,     0,     5,     3,     0,     2,     1,
     2,     1,     2,     0,     3,     0,     3,     0,     3,     2,
     0,     3,     0,     3,     0,     3,     2,     2,     2,     2,
     2,     0,     3,     0,     3,     2,     0,     3,     0,     3,
     2,     2,     2,     1,     3,     1,     1,     1,     1,     1,
     1,     1,     3,     1,     1,     1,     1,     1,     1,     1,
     1,     1,     3,     0,     5,     3,     0,     2,     1,     2,
     2,     2,     2,     2,     0,     3,     0,     3,     0,     3,
     0,     3,     2,     0,     3,     0,     3,     2,     1,     3,
     1,     1,     1,     1,     1,     1,     3,     1,     1,     1,
     1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
     1,     1
};

static const short yydefact[] = {     1,
     0,    11,    13,     0,     0,     0,    18,    20,     0,    23,
    25,     0,     0,     2,     3,    10,    32,     0,     0,    15,
     6,     5,    16,    17,     0,     0,    22,     0,     0,     8,
     7,    27,    29,     4,     9,     0,    12,    14,    19,    21,
    24,    26,     0,     0,     0,    39,     0,     0,     0,     0,
     0,     0,    72,     0,     0,     0,    77,    41,     0,    66,
     0,     0,     0,    80,     0,    82,    87,    89,    92,    94,
    96,    55,    57,    59,    61,    63,    50,     0,     0,     0,
     0,     0,     0,    34,    28,    33,     3,    36,   118,    37,
   177,     0,   102,   103,   110,   108,   111,   112,   113,   104,
   105,   106,   107,   109,    99,   100,    38,     0,    43,    44,
    45,    46,    47,    49,     0,    75,    48,    76,     0,     0,
    79,     0,    69,    70,    71,     0,    98,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,    52,
    53,    65,    54,     0,   115,   174,    35,     0,     0,    30,
     0,    40,     0,    78,    42,     0,    81,     0,    88,     0,
    93,    95,    97,    56,    58,    60,    62,    64,    51,    31,
     0,     0,     0,     0,     0,     0,   147,   149,     0,   126,
   128,   124,     0,   131,   133,   135,     0,     0,     0,     0,
   142,   144,     0,     0,     0,   120,   114,   119,     3,   122,
     0,   194,     0,     0,     0,   185,   187,     0,   196,   189,
   191,     0,     0,     0,   179,   173,   178,     3,   101,    73,
    67,    83,    90,     0,     0,   170,   171,   166,   167,   164,
   165,   168,   169,   172,   153,   162,   139,   140,   146,     0,
     0,   123,     0,     0,     0,   130,     0,     0,     0,   137,
   141,   138,   152,     0,     0,   156,   157,   158,   159,   160,
   161,   151,   154,     0,   121,   205,   201,   202,   203,   204,
   198,   199,     0,   208,   209,   210,   211,   212,   213,   214,
   215,   216,   219,   220,   221,   222,   217,   218,   181,   206,
   182,   184,     0,     0,   183,     0,     0,     0,   193,     0,
   180,     0,     0,     0,     0,   116,   175,     0,   148,   150,
   127,   129,   125,   132,   134,   136,   143,   145,     0,   117,
     0,   195,     0,   186,   188,   197,   190,   192,   176,    74,
    68,     0,    91,   163,   155,   200,   207,    84,     0,     0,
    85,     0,    86,     0,     0
};

static const short yydefgoto[] = {     1,
    35,    23,    32,    14,    15,    18,    19,    25,    26,    28,
    29,    16,    17,    43,    85,    36,    86,    87,   108,   120,
   139,   134,   135,   136,   137,   138,   122,   303,   115,   302,
   119,   126,   128,   304,   339,   342,   129,   130,   305,   131,
   132,   133,   105,   106,    88,    89,   171,   197,   148,   198,
   199,   245,   243,   244,   247,   248,   249,   254,   255,   240,
   241,   262,   263,   235,   236,    90,    91,   172,   216,   149,
   217,   218,   293,   294,   297,   298,   273,   296,   271,   272,
   289,   290
};

static const short yypact[] = {-32768,
     2,-32768,-32768,    26,     0,     0,-32768,-32768,    31,-32768,
-32768,    15,    11,-32768,   -72,-32768,-32768,    36,    40,-32768,
-32768,-32768,-32768,-32768,    44,    51,-32768,    52,    53,-32768,
-32768,-32768,-32768,-32768,-32768,   182,-32768,-32768,-32768,-32768,
-32768,-32768,    55,    86,    58,-32768,    59,    61,     0,     0,
     0,     0,-32768,    62,     0,    63,-32768,-32768,     0,-32768,
    65,    66,    69,-32768,    64,-32768,-32768,-32768,-32768,-32768,
-32768,-32768,-32768,-32768,-32768,-32768,-32768,     0,     0,    88,
     0,    60,    28,-32768,-32768,-32768,   -72,-32768,-32768,-32768,
-32768,   -13,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
-32768,-32768,-32768,-32768,    -5,-32768,-32768,    96,-32768,-32768,
-32768,-32768,-32768,-32768,    98,-32768,-32768,-32768,    99,   100,
-32768,   101,-32768,-32768,-32768,   106,-32768,   110,   111,   112,
   113,   115,   118,   121,   122,   123,   124,   125,   127,-32768,
-32768,-32768,-32768,    29,-32768,-32768,-32768,    19,    16,-32768,
    86,-32768,    27,-32768,-32768,    37,-32768,    38,-32768,    39,
-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
   142,   143,   116,     0,     0,     0,-32768,-32768,     0,-32768,
-32768,-32768,     0,-32768,-32768,-32768,     0,   145,     0,   146,
-32768,-32768,   -66,   141,    18,-32768,-32768,-32768,   -72,-32768,
   -40,-32768,   166,   166,     0,-32768,-32768,   166,-32768,-32768,
-32768,     0,   144,   147,-32768,-32768,-32768,   -72,-32768,-32768,
-32768,-32768,-32768,    46,    47,-32768,-32768,-32768,-32768,-32768,
-32768,-32768,-32768,-32768,    49,-32768,-32768,-32768,-32768,   149,
   152,-32768,   154,   155,   157,-32768,   158,   159,   156,-32768,
-32768,-32768,-32768,   160,   163,-32768,-32768,-32768,-32768,-32768,
-32768,    70,-32768,    67,-32768,-32768,-32768,-32768,-32768,-32768,
    76,-32768,   167,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,    78,-32768,
    78,-32768,   171,   184,    78,   185,   186,   187,-32768,    87,
-32768,   189,   190,   191,   192,-32768,-32768,   116,-32768,-32768,
-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,   -66,-32768,
   -40,-32768,   166,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
-32768,    91,-32768,-32768,-32768,-32768,-32768,-32768,   196,    95,
-32768,   198,-32768,   203,-32768
};

static const short yypgoto[] = {-32768,
   -86,    -6,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
-32768,   168,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
-32768,-32768,-32768,    54,    92,-32768,-32768,-32768,-32768,-32768,
-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
-32768,-32768,   -80,-32768,   -64,  -137,-32768,-32768,-32768,-32768,
-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,   -79,
  -178,   -78
};


#define	YYLAST		286


static const short yytable[] = {    24,
   147,   344,    21,   266,    22,   256,   257,   258,   259,   260,
   200,   215,     2,     3,     4,     5,     6,    30,    33,     7,
     8,     9,    10,    11,    12,   291,   145,   146,    20,   295,
    34,   201,   261,    27,   173,    33,   145,   146,    31,   267,
   268,    37,   111,   112,   113,   114,    38,    39,   117,   174,
   269,   270,   121,   175,    40,    41,    42,   176,    92,   202,
   107,   109,   177,   110,   116,   118,   127,   144,   178,   123,
   124,   140,   141,   125,   143,   179,   180,   181,   182,   183,
   184,   185,   186,   187,   188,   189,   190,   191,   192,   193,
   142,   150,   203,   204,   205,   206,   207,   208,   209,   152,
   151,   153,   154,   155,   156,    13,   210,   211,   212,   157,
    93,    94,   265,   158,   159,   160,   161,   213,   162,   214,
   194,   163,   195,    95,   164,   165,   166,   167,   168,    96,
   169,   301,   220,   170,    97,    98,    99,   100,   101,   102,
   103,   104,   221,   222,   223,   224,   225,   251,   253,   264,
   306,   307,   309,   300,   308,   310,   146,   311,   312,   226,
   313,   314,   316,   317,   315,   227,   318,   237,   238,   239,
   322,   320,   242,   228,   324,   319,   246,   229,   230,   231,
   250,   321,   252,   323,   232,   233,   234,   325,   326,   327,
   328,   329,   330,   331,   332,   333,   338,    44,   292,   340,
   341,   343,   345,    84,   219,   299,    45,    46,    47,    48,
    49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
    59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
    69,    70,    71,    72,    73,    74,    75,    76,   335,   196,
    77,   336,    78,   334,   337,     0,    79,    80,    81,   274,
   275,   276,   277,   278,   279,   280,     0,     0,     0,   281,
   282,   283,   284,   285,   286,   287,   288,     0,     0,     0,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,     0,    82,     0,    83
};

static const short yycheck[] = {     6,
    87,     0,     3,    44,     5,    72,    73,    74,    75,    76,
   148,   149,    11,    12,    13,    14,    15,     3,     8,    18,
    19,    20,    21,    22,    23,   204,     9,    10,     3,   208,
   103,    16,    99,     3,    16,     8,     9,    10,    24,    80,
    81,     6,    49,    50,    51,    52,     7,     4,    55,    31,
    91,    92,    59,    35,     4,     4,     4,    39,     4,    44,
     3,     3,    44,     3,     3,     3,     3,     8,    50,     5,
     5,    78,    79,     5,    81,    57,    58,    59,    60,    61,
    62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
     3,   105,    77,    78,    79,    80,    81,    82,    83,     4,
   106,     4,     4,     4,     4,   104,    91,    92,    93,     4,
    25,    26,   199,     4,     4,     4,     4,   102,     4,   104,
   102,     4,   104,    38,     4,     4,     4,     4,     4,    44,
     4,   218,   106,   105,    49,    50,    51,    52,    53,    54,
    55,    56,   106,   106,   106,     4,     4,     3,     3,     9,
   105,   105,     4,    10,   106,     4,    10,     4,     4,    44,
     4,     4,     7,     4,     6,    50,     4,   174,   175,   176,
     4,   105,   179,    58,     4,   106,   183,    62,    63,    64,
   187,   106,   189,   106,    69,    70,    71,     4,     4,     4,
     4,   105,     4,     4,     4,     4,   106,    16,   205,     4,
   106,     4,     0,    36,   151,   212,    25,    26,    27,    28,
    29,    30,    31,    32,    33,    34,    35,    36,    37,    38,
    39,    40,    41,    42,    43,    44,    45,    46,    47,    48,
    49,    50,    51,    52,    53,    54,    55,    56,   319,   148,
    59,   321,    61,   308,   323,    -1,    65,    66,    67,    84,
    85,    86,    87,    88,    89,    90,    -1,    -1,    -1,    94,
    95,    96,    97,    98,    99,   100,   101,    -1,    -1,    -1,
    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    -1,    -1,    -1,   102,    -1,   104
};
/* -*-C-*-  Note some compilers choke on comments on `#line' lines.  */
#line 3 "/usr/share/bison.simple"
/* This file comes from bison-1.28.  */

/* Skeleton output parser for bison,
   Copyright (C) 1984, 1989, 1990 Free Software Foundation, Inc.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.  */

/* As a special exception, when this file is copied by Bison into a
   Bison output file, you may use that output file without restriction.
   This special exception was added by the Free Software Foundation
   in version 1.24 of Bison.  */

/* This is the parser code that is written into each bison parser
  when the %semantic_parser declaration is not specified in the grammar.
  It was written by Richard Stallman by simplifying the hairy parser
  used when %semantic_parser is specified.  */

#ifndef YYSTACK_USE_ALLOCA
#ifdef alloca
#define YYSTACK_USE_ALLOCA
#else /* alloca not defined */
#ifdef __GNUC__
#define YYSTACK_USE_ALLOCA
#define alloca __builtin_alloca
#else /* not GNU C.  */
#if (!defined (__STDC__) && defined (sparc)) || defined (__sparc__) || defined (__sparc) || defined (__sgi) || (defined (__sun) && defined (__i386))
#define YYSTACK_USE_ALLOCA
#include <alloca.h>
#else /* not sparc */
/* We think this test detects Watcom and Microsoft C.  */
/* This used to test MSDOS, but that is a bad idea
   since that symbol is in the user namespace.  */
#if (defined (_MSDOS) || defined (_MSDOS_)) && !defined (__TURBOC__)
#if 0 /* No need for malloc.h, which pollutes the namespace;
	 instead, just don't use alloca.  */
#include <malloc.h>
#endif
#else /* not MSDOS, or __TURBOC__ */
#if defined(_AIX)
/* I don't know what this was needed for, but it pollutes the namespace.
   So I turned it off.   rms, 2 May 1997.  */
/* #include <malloc.h>  */
 #pragma alloca
#define YYSTACK_USE_ALLOCA
#else /* not MSDOS, or __TURBOC__, or _AIX */
#if 0
#ifdef __hpux /* haible@ilog.fr says this works for HPUX 9.05 and up,
		 and on HPUX 10.  Eventually we can turn this on.  */
#define YYSTACK_USE_ALLOCA
#define alloca __builtin_alloca
#endif /* __hpux */
#endif
#endif /* not _AIX */
#endif /* not MSDOS, or __TURBOC__ */
#endif /* not sparc */
#endif /* not GNU C */
#endif /* alloca not defined */
#endif /* YYSTACK_USE_ALLOCA not defined */

#ifdef YYSTACK_USE_ALLOCA
#define YYSTACK_ALLOC alloca
#else
#define YYSTACK_ALLOC malloc
#endif

/* Note: there must be only one dollar sign in this file.
   It is replaced by the list of actions, each action
   as one case of the switch.  */

#define yyerrok		(yyerrstatus = 0)
#define yyclearin	(yychar = YYEMPTY)
#define YYEMPTY		-2
#define YYEOF		0
#define YYACCEPT	goto yyacceptlab
#define YYABORT 	goto yyabortlab
#define YYERROR		goto yyerrlab1
/* Like YYERROR except do call yyerror.
   This remains here temporarily to ease the
   transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  */
#define YYFAIL		goto yyerrlab
#define YYRECOVERING()  (!!yyerrstatus)
#define YYBACKUP(token, value) \
do								\
  if (yychar == YYEMPTY && yylen == 1)				\
    { yychar = (token), yylval = (value);			\
      yychar1 = YYTRANSLATE (yychar);				\
      YYPOPSTACK;						\
      goto yybackup;						\
    }								\
  else								\
    { yyerror ("syntax error: cannot back up"); YYERROR; }	\
while (0)

#define YYTERROR	1
#define YYERRCODE	256

#ifndef YYPURE
#define YYLEX		yylex()
#endif

#ifdef YYPURE
#ifdef YYLSP_NEEDED
#ifdef YYLEX_PARAM
#define YYLEX		yylex(&yylval, &yylloc, YYLEX_PARAM)
#else
#define YYLEX		yylex(&yylval, &yylloc)
#endif
#else /* not YYLSP_NEEDED */
#ifdef YYLEX_PARAM
#define YYLEX		yylex(&yylval, YYLEX_PARAM)
#else
#define YYLEX		yylex(&yylval)
#endif
#endif /* not YYLSP_NEEDED */
#endif

/* If nonreentrant, generate the variables here */

#ifndef YYPURE

int	yychar;			/*  the lookahead symbol		*/
YYSTYPE	yylval;			/*  the semantic value of the		*/
				/*  lookahead symbol			*/

#ifdef YYLSP_NEEDED
YYLTYPE yylloc;			/*  location data for the lookahead	*/
				/*  symbol				*/
#endif

int yynerrs;			/*  number of parse errors so far       */
#endif  /* not YYPURE */

#if YYDEBUG != 0
int yydebug;			/*  nonzero means print parse trace	*/
/* Since this is uninitialized, it does not stop multiple parsers
   from coexisting.  */
#endif

/*  YYINITDEPTH indicates the initial size of the parser's stacks	*/

#ifndef	YYINITDEPTH
#define YYINITDEPTH 200
#endif

/*  YYMAXDEPTH is the maximum size the stacks can grow to
    (effective only if the built-in stack extension method is used).  */

#if YYMAXDEPTH == 0
#undef YYMAXDEPTH
#endif

#ifndef YYMAXDEPTH
#define YYMAXDEPTH 10000
#endif

/* Define __yy_memcpy.  Note that the size argument
   should be passed with type unsigned int, because that is what the non-GCC
   definitions require.  With GCC, __builtin_memcpy takes an arg
   of type size_t, but it can handle unsigned int.  */

#if __GNUC__ > 1		/* GNU C and GNU C++ define this.  */
#define __yy_memcpy(TO,FROM,COUNT)	__builtin_memcpy(TO,FROM,COUNT)
#else				/* not GNU C or C++ */
#ifndef __cplusplus

/* This is the most reliable way to avoid incompatibilities
   in available built-in functions on various systems.  */
static void
__yy_memcpy (to, from, count)
     char *to;
     char *from;
     unsigned int count;
{
  register char *f = from;
  register char *t = to;
  register int i = count;

  while (i-- > 0)
    *t++ = *f++;
}

#else /* __cplusplus */

/* This is the most reliable way to avoid incompatibilities
   in available built-in functions on various systems.  */
static void
__yy_memcpy (char *to, char *from, unsigned int count)
{
  register char *t = to;
  register char *f = from;
  register int i = count;

  while (i-- > 0)
    *t++ = *f++;
}

#endif
#endif

#line 217 "/usr/share/bison.simple"

/* The user can define YYPARSE_PARAM as the name of an argument to be passed
   into yyparse.  The argument should have type void *.
   It should actually point to an object.
   Grammar actions can access the variable by casting it
   to the proper pointer type.  */

#ifdef YYPARSE_PARAM
#ifdef __cplusplus
#define YYPARSE_PARAM_ARG void *YYPARSE_PARAM
#define YYPARSE_PARAM_DECL
#else /* not __cplusplus */
#define YYPARSE_PARAM_ARG YYPARSE_PARAM
#define YYPARSE_PARAM_DECL void *YYPARSE_PARAM;
#endif /* not __cplusplus */
#else /* not YYPARSE_PARAM */
#define YYPARSE_PARAM_ARG
#define YYPARSE_PARAM_DECL
#endif /* not YYPARSE_PARAM */

/* Prevent warning if -Wstrict-prototypes.  */
#ifdef __GNUC__
#ifdef YYPARSE_PARAM
int yyparse (void *);
#else
int yyparse (void);
#endif
#endif

int
yyparse(YYPARSE_PARAM_ARG)
     YYPARSE_PARAM_DECL
{
  register int yystate;
  register int yyn;
  register short *yyssp;
  register YYSTYPE *yyvsp;
  int yyerrstatus;	/*  number of tokens to shift before error messages enabled */
  int yychar1 = 0;		/*  lookahead token as an internal (translated) token number */

  short	yyssa[YYINITDEPTH];	/*  the state stack			*/
  YYSTYPE yyvsa[YYINITDEPTH];	/*  the semantic value stack		*/

  short *yyss = yyssa;		/*  refer to the stacks thru separate pointers */
  YYSTYPE *yyvs = yyvsa;	/*  to allow yyoverflow to reallocate them elsewhere */

#ifdef YYLSP_NEEDED
  YYLTYPE yylsa[YYINITDEPTH];	/*  the location stack			*/
  YYLTYPE *yyls = yylsa;
  YYLTYPE *yylsp;

#define YYPOPSTACK   (yyvsp--, yyssp--, yylsp--)
#else
#define YYPOPSTACK   (yyvsp--, yyssp--)
#endif

  int yystacksize = YYINITDEPTH;
  int yyfree_stacks = 0;

#ifdef YYPURE
  int yychar;
  YYSTYPE yylval;
  int yynerrs;
#ifdef YYLSP_NEEDED
  YYLTYPE yylloc;
#endif
#endif

  YYSTYPE yyval;		/*  the variable used to return		*/
				/*  semantic values from the action	*/
				/*  routines				*/

  int yylen;

#if YYDEBUG != 0
  if (yydebug)
    fprintf(stderr, "Starting parse\n");
#endif

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY;		/* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.
     The wasted elements are never initialized.  */

  yyssp = yyss - 1;
  yyvsp = yyvs;
#ifdef YYLSP_NEEDED
  yylsp = yyls;
#endif

/* Push a new state, which is found in  yystate  .  */
/* In all cases, when you get here, the value and location stacks
   have just been pushed. so pushing a state here evens the stacks.  */
yynewstate:

  *++yyssp = yystate;

  if (yyssp >= yyss + yystacksize - 1)
    {
      /* Give user a chance to reallocate the stack */
      /* Use copies of these so that the &'s don't force the real ones into memory. */
      YYSTYPE *yyvs1 = yyvs;
      short *yyss1 = yyss;
#ifdef YYLSP_NEEDED
      YYLTYPE *yyls1 = yyls;
#endif

      /* Get the current used size of the three stacks, in elements.  */
      int size = yyssp - yyss + 1;

#ifdef yyoverflow
      /* Each stack pointer address is followed by the size of
	 the data in use in that stack, in bytes.  */
#ifdef YYLSP_NEEDED
      /* This used to be a conditional around just the two extra args,
	 but that might be undefined if yyoverflow is a macro.  */
      yyoverflow("parser stack overflow",
		 &yyss1, size * sizeof (*yyssp),
		 &yyvs1, size * sizeof (*yyvsp),
		 &yyls1, size * sizeof (*yylsp),
		 &yystacksize);
#else
      yyoverflow("parser stack overflow",
		 &yyss1, size * sizeof (*yyssp),
		 &yyvs1, size * sizeof (*yyvsp),
		 &yystacksize);
#endif

      yyss = yyss1; yyvs = yyvs1;
#ifdef YYLSP_NEEDED
      yyls = yyls1;
#endif
#else /* no yyoverflow */
      /* Extend the stack our own way.  */
      if (yystacksize >= YYMAXDEPTH)
	{
	  yyerror("parser stack overflow");
	  if (yyfree_stacks)
	    {
	      free (yyss);
	      free (yyvs);
#ifdef YYLSP_NEEDED
	      free (yyls);
#endif
	    }
	  return 2;
	}
      yystacksize *= 2;
      if (yystacksize > YYMAXDEPTH)
	yystacksize = YYMAXDEPTH;
#ifndef YYSTACK_USE_ALLOCA
      yyfree_stacks = 1;
#endif
      yyss = (short *) YYSTACK_ALLOC (yystacksize * sizeof (*yyssp));
      __yy_memcpy ((char *)yyss, (char *)yyss1,
		   size * (unsigned int) sizeof (*yyssp));
      yyvs = (YYSTYPE *) YYSTACK_ALLOC (yystacksize * sizeof (*yyvsp));
      __yy_memcpy ((char *)yyvs, (char *)yyvs1,
		   size * (unsigned int) sizeof (*yyvsp));
#ifdef YYLSP_NEEDED
      yyls = (YYLTYPE *) YYSTACK_ALLOC (yystacksize * sizeof (*yylsp));
      __yy_memcpy ((char *)yyls, (char *)yyls1,
		   size * (unsigned int) sizeof (*yylsp));
#endif
#endif /* no yyoverflow */

      yyssp = yyss + size - 1;
      yyvsp = yyvs + size - 1;
#ifdef YYLSP_NEEDED
      yylsp = yyls + size - 1;
#endif

#if YYDEBUG != 0
      if (yydebug)
	fprintf(stderr, "Stack size increased to %d\n", yystacksize);
#endif

      if (yyssp >= yyss + yystacksize - 1)
	YYABORT;
    }

#if YYDEBUG != 0
  if (yydebug)
    fprintf(stderr, "Entering state %d\n", yystate);
#endif

  goto yybackup;
 yybackup:

/* Do appropriate processing given the current state.  */
/* Read a lookahead token if we need one and don't already have one.  */
/* yyresume: */

  /* First try to decide what to do without reference to lookahead token.  */

  yyn = yypact[yystate];
  if (yyn == YYFLAG)
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* yychar is either YYEMPTY or YYEOF
     or a valid token in external form.  */

  if (yychar == YYEMPTY)
    {
#if YYDEBUG != 0
      if (yydebug)
	fprintf(stderr, "Reading a token: ");
#endif
      yychar = YYLEX;
    }

  /* Convert token to internal form (in yychar1) for indexing tables with */

  if (yychar <= 0)		/* This means end of input. */
    {
      yychar1 = 0;
      yychar = YYEOF;		/* Don't call YYLEX any more */

#if YYDEBUG != 0
      if (yydebug)
	fprintf(stderr, "Now at end of input.\n");
#endif
    }
  else
    {
      yychar1 = YYTRANSLATE(yychar);

#if YYDEBUG != 0
      if (yydebug)
	{
	  fprintf (stderr, "Next token is %d (%s", yychar, yytname[yychar1]);
	  /* Give the individual parser a way to print the precise meaning
	     of a token, for further debugging info.  */
#ifdef YYPRINT
	  YYPRINT (stderr, yychar, yylval);
#endif
	  fprintf (stderr, ")\n");
	}
#endif
    }

  yyn += yychar1;
  if (yyn < 0 || yyn > YYLAST || yycheck[yyn] != yychar1)
    goto yydefault;

  yyn = yytable[yyn];

  /* yyn is what to do for this token type in this state.
     Negative => reduce, -yyn is rule number.
     Positive => shift, yyn is new state.
       New state is final state => don't bother to shift,
       just return success.
     0, or most negative number => error.  */

  if (yyn < 0)
    {
      if (yyn == YYFLAG)
	goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }
  else if (yyn == 0)
    goto yyerrlab;

  if (yyn == YYFINAL)
    YYACCEPT;

  /* Shift the lookahead token.  */

#if YYDEBUG != 0
  if (yydebug)
    fprintf(stderr, "Shifting token %d (%s), ", yychar, yytname[yychar1]);
#endif

  /* Discard the token being shifted unless it is eof.  */
  if (yychar != YYEOF)
    yychar = YYEMPTY;

  *++yyvsp = yylval;
#ifdef YYLSP_NEEDED
  *++yylsp = yylloc;
#endif

  /* count tokens shifted since error; after three, turn off error status.  */
  if (yyerrstatus) yyerrstatus--;

  yystate = yyn;
  goto yynewstate;

/* Do the default action for the current state.  */
yydefault:

  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;

/* Do a reduction.  yyn is the number of a rule to reduce with.  */
yyreduce:
  yylen = yyr2[yyn];
  if (yylen > 0)
    yyval = yyvsp[1-yylen]; /* implement default value of the action */

#if YYDEBUG != 0
  if (yydebug)
    {
      int i;

      fprintf (stderr, "Reducing via rule %d (line %d), ",
	       yyn, yyrline[yyn]);

      /* Print the symbols being reduced, and their result.  */
      for (i = yyprhs[yyn]; yyrhs[i] > 0; i++)
	fprintf (stderr, "%s ", yytname[yyrhs[i]]);
      fprintf (stderr, " -> %s\n", yytname[yyr1[yyn]]);
    }
#endif


  switch (yyn) {

case 5:
#line 103 "./config.y"
{ yyval.num = yyvsp[0].num; ;
    break;}
case 6:
#line 105 "./config.y"
{ yyval.num = yyvsp[0].num; ;
    break;}
case 7:
#line 109 "./config.y"
{ yyval.num = RLIM_INFINITY; ;
    break;}
case 8:
#line 111 "./config.y"
{ yyval.num = yyvsp[0].num; ;
    break;}
case 11:
#line 118 "./config.y"
{ confExpectingToken = D_UID; ;
    break;}
case 12:
#line 120 "./config.y"
{
		  unprivUid = yyvsp[0].num;
		;
    break;}
case 13:
#line 124 "./config.y"
{ confExpectingToken = D_GID; ;
    break;}
case 14:
#line 126 "./config.y"
{
		  unprivGid = yyvsp[0].num;
		;
    break;}
case 15:
#line 130 "./config.y"
{
		  if(yyvsp[0].num <= 0)
		  {
		    syslog (LOG_ERR, "XferBuffSize must be positive.");
		    YYABORT;
		  }
		  xferBufferSize = yyvsp[0].num;
		;
    break;}
case 16:
#line 139 "./config.y"
{
		  fakeChroot = yyvsp[0].num;
		;
    break;}
case 17:
#line 143 "./config.y"
{
		  forkConnections = yyvsp[0].num;
		;
    break;}
case 18:
#line 147 "./config.y"
{ confExpectingToken = D_STRING; ;
    break;}
case 19:
#line 149 "./config.y"
{
		  if (yyvsp[0].str[strlen (yyvsp[0].str) - 1] != '/')
		  {
		    char *tmp = talloc (strlen (yyvsp[0].str) + 2);
		    if (tmp)
		    {
		      strcpy (tmp, yyvsp[0].str);
		      strcat (tmp, "/");
		      localeDir = pstring (tmp, NULL);
		    }
		  }
		  else
		    localeDir = pstring (yyvsp[0].str, NULL);
		;
    break;}
case 20:
#line 164 "./config.y"
{ confExpectingToken = D_STRING; ;
    break;}
case 21:
#line 166 "./config.y"
{
		  pfree (sslCertsPath, NULL);
		  sslCertsPath = pstring (yyvsp[0].str, NULL);
		;
    break;}
case 22:
#line 171 "./config.y"
{
		  maxMmapSize = yyvsp[0].num;
		;
    break;}
case 23:
#line 175 "./config.y"
{ confExpectingToken = D_STRING; ;
    break;}
case 24:
#line 177 "./config.y"
{
		  pidFile = pstring (yyvsp[0].str, NULL);
		;
    break;}
case 25:
#line 181 "./config.y"
{ confExpectingToken = D_STRING; ;
    break;}
case 26:
#line 183 "./config.y"
{
		  accPath = pstring (yyvsp[0].str, NULL);
		;
    break;}
case 27:
#line 187 "./config.y"
{
#ifdef RLIMIT_FSIZE
		  struct rlimit lim;
		  
		  if (getrlimit (RLIMIT_FSIZE, &lim))
		    syslog (LOG_WARNING, "Failed to get current file size limit: %m.");
		  else
		  {
		    lim.rlim_cur = yyvsp[0].num;
		    if (setrlimit (RLIMIT_FSIZE, &lim))
		      syslog (LOG_WARNING, "Failed to set current file size limit: %m.");
		  }
#else
		  syslog (LOG_WARNING, "LimitFileSize used, but OS does not support it.");
#endif
		;
    break;}
case 29:
#line 209 "./config.y"
{ confExpectingToken = D_STRING; ;
    break;}
case 30:
#line 211 "./config.y"
{
		  char *np;
		  
		  for (np = yyvsp[-1].str; *np; np++)
		  {
		    if (isspace (*np & 0xFF))
		    {
		      syslog (LOG_ERR, "A server name can't contain whitespace (%s).", yyvsp[-1].str);
		      YYABORT;
		    }
		  }
		  if (find_named_server (yyvsp[-1].str, 0, NULL, NULL))
		  {
		    syslog (LOG_ERR, "Two servers can not have the same name (%s).", yyvsp[-1].str);
		    YYABORT;
		  }
		  currserv = new_server(yyvsp[-1].str, currserv);
		  servtop = talloc (sizeof (*servtop));
		  
		  if(!currserv || !servtop)
		    YYABORT;
		  
		  servtop->item = currserv;
		  servtop->next = servstack;
		  servstack = servtop;
		;
    break;}
case 31:
#line 240 "./config.y"
{
		  servstack = servstack->next;
		  currserv = servstack? servstack->item : NULL;
		;
    break;}
case 38:
#line 257 "./config.y"
{
		  add_server_port(currserv, yyvsp[0].num);
		;
    break;}
case 39:
#line 261 "./config.y"
{ confExpectingToken = D_STRING; ;
    break;}
case 40:
#line 263 "./config.y"
{
		  add_server_binding(currserv, yyvsp[0].str);
		;
    break;}
case 41:
#line 267 "./config.y"
{ confExpectingToken = D_STRING; ;
    break;}
case 42:
#line 269 "./config.y"
{
		  char *m = strchr (yyvsp[0].str, '/'), *ep;
		  struct addrinfo hints = { AI_NUMERICHOST }, *res, *curr;
		  int err, i, j;
		  struct sockaddr_in m4;
		  struct sockaddr_in6 m6;
		  
		  if (m)
		  {
		    *m++ = 0;
		    if (!*m)
		    {
		      *--m = '/';
		      syslog (LOG_ERR, "%s: Mask missing.", yyvsp[0].str);
		      YYABORT;
		    }
		  }
		  
		  err = getaddrinfo (yyvsp[0].str, NULL, &hints, &res);
		  if (err || !res)
		  {
		    syslog (LOG_ERR, "Failed to lookup %s: %s", yyvsp[0].str,
			  gai_strerror (err));
		    YYABORT;
		  }
		  
		  m4.sin_family = AF_INET;
		  m6.sin6_family = AF_INET6;
		  for (curr = res; curr; curr = curr->ai_next)
		  {
		    switch (curr->ai_family)
		    {
		    case PF_INET:
		      if (m)
		      {
#ifdef HAVE_INET_ATON
			if (!inet_aton (m, &m4.sin_addr))
#else
			m4.sin_addr.s_addr = inet_addr (m);
			if (m4.sin_addr.s_addr == -1)
#endif
			{
			  syslog (LOG_ERR, "%s/%s: Invalid mask.", yyvsp[0].str, m);
			  YYABORT;
			}
			if (!(*(char*)&m4.sin_addr & 0x80))
			{
			  i = ntohl (m4.sin_addr.s_addr);
			  if (i > 32)
			  {
			    syslog (LOG_ERR, "%s/%s: Mask is bigger than "
				  "address length.", yyvsp[0].str, m);
			    YYABORT;
			  }
			  memset (&m4.sin_addr, 0xff, i / 8);
			  if (i < 32)
			    memset ((char*)&m4.sin_addr + i / 8 + 1, 0, 4 -
				  i / 8);
			  for (j = 0x80; i & 0x7; i--, j >>= 1)
			    ((char*)&m4.sin_addr)[i / 8 + 1] |= j;
			}
		      }
		      else
			memset (&m4.sin_addr, 0xFF, 4);
		      add_server_range (currserv, curr->ai_addr,
			    (struct sockaddr*)&m4);
		      break;
		    case PF_INET6:
		      if (m)
		      {
			i = strtoul (m, &ep, 0);
			if (*ep)
			{
			  syslog (LOG_ERR, "%s/%s: Invalid mask.", yyvsp[0].str, m);
			  YYABORT;
			}
			if (i > 128)
			{
			  syslog (LOG_ERR, "%s/%s: Mask is bigger than "
				"address length.", yyvsp[0].str, m);
			  YYABORT;
			}
			memset (&m6.sin6_addr, 0xff, i / 8);
			if (i < 128)
			  memset ((char*)&m6.sin6_addr + i / 8 + 1, 0, 16 -
				i / 8);
			for (j = 0x80; i & 0x7; i--, j >>= 1)
			  ((char*)&m6.sin6_addr)[i / 8 + 1] |= j;
		      }
		      else
			memset (&m6.sin6_addr, 0xFF, 16);
		      add_server_range (currserv, curr->ai_addr,
			    (struct sockaddr*)&m6);
		      break;
		    default:
		      // Just ignore...
		      break;
		    }
		  }
		  freeaddrinfo (res);
		;
    break;}
case 43:
#line 371 "./config.y"
{
		  if(yyvsp[0].num < 0)
		    yyvsp[0].num = 0;
		  if(yyvsp[0].num > 65535)
		    yyvsp[0].num = 65535;
		  currserv->minPasvPort = yyvsp[0].num;
		  if(currserv->maxPasvPort < currserv->minPasvPort)
		    currserv->maxPasvPort = currserv->minPasvPort;
		;
    break;}
case 44:
#line 381 "./config.y"
{
		  if(yyvsp[0].num < 0)
		    yyvsp[0].num = 0;
		  if(yyvsp[0].num > 65535)
		    yyvsp[0].num = 65535;
		  currserv->maxPasvPort = yyvsp[0].num;
		  if(currserv->minPasvPort > currserv->maxPasvPort)
		    currserv->minPasvPort = currserv->maxPasvPort;
		;
    break;}
case 45:
#line 391 "./config.y"
{
		  currserv->passIfInvalid = (yyvsp[0].num != 0);
		;
    break;}
case 46:
#line 395 "./config.y"
{
		  currserv->allowUnbound = (yyvsp[0].num != 0);
		;
    break;}
case 47:
#line 399 "./config.y"
{
		  currserv->allowForeign = (yyvsp[0].num != 0);
		;
    break;}
case 48:
#line 403 "./config.y"
{
		  currserv->allowOutOfRange = (yyvsp[0].num != 0);
		;
    break;}
case 49:
#line 407 "./config.y"
{
		  currserv->allowLowPorts = (yyvsp[0].num != 0);
		;
    break;}
case 50:
#line 411 "./config.y"
{ confExpectingToken = D_STRING; ;
    break;}
case 51:
#line 413 "./config.y"
{
		  if(currserv->chroot)
		    pfree(currserv->chroot, currserv);
		  currserv->chroot = pstring(yyvsp[0].str, currserv);
		;
    break;}
case 52:
#line 419 "./config.y"
{
		  currserv->passwordNeeded = (yyvsp[0].num != 0);
		;
    break;}
case 53:
#line 423 "./config.y"
{
		  currserv->allowLogin = (yyvsp[0].num != 0);
		;
    break;}
case 54:
#line 427 "./config.y"
{
		  currserv->allowSecLogin = (yyvsp[0].num != 0);
		;
    break;}
case 55:
#line 431 "./config.y"
{ confExpectingToken = D_STRING; ;
    break;}
case 56:
#line 433 "./config.y"
{
		  if(currserv->loginFailedMsg)
		    pfree(currserv->loginFailedMsg, currserv);
		  currserv->loginFailedMsg = pstring(yyvsp[0].str, currserv);
		;
    break;}
case 57:
#line 439 "./config.y"
{ confExpectingToken = D_STRING; ;
    break;}
case 58:
#line 441 "./config.y"
{
		  if(currserv->userInvalidMsg)
		    pfree(currserv->userInvalidMsg, currserv);
		  currserv->userInvalidMsg = pstring(yyvsp[0].str, currserv);
		;
    break;}
case 59:
#line 447 "./config.y"
{ confExpectingToken = D_STRING; ;
    break;}
case 60:
#line 449 "./config.y"
{
		  if(currserv->passRequestMsg)
		    pfree(currserv->passRequestMsg, currserv);
		  currserv->passRequestMsg = pstring(yyvsp[0].str, currserv);
		;
    break;}
case 61:
#line 455 "./config.y"
{ confExpectingToken = D_STRING; ;
    break;}
case 62:
#line 457 "./config.y"
{
		  if(currserv->anonPassMsg)
		    pfree(currserv->anonPassMsg, currserv);
		  currserv->anonPassMsg = pstring(yyvsp[0].str, currserv);
		;
    break;}
case 63:
#line 463 "./config.y"
{ confExpectingToken = D_STRING; ;
    break;}
case 64:
#line 465 "./config.y"
{
		  pfree (currserv->welcomeMsg, currserv);
		  currserv->welcomeMsg = pstring(yyvsp[0].str, currserv);
		;
    break;}
case 65:
#line 470 "./config.y"
{
		  currserv->maxIdle = yyvsp[0].num;
		;
    break;}
case 66:
#line 474 "./config.y"
{ confExpectingToken = D_STRING; ;
    break;}
case 67:
#line 476 "./config.y"
{ confExpectingToken = D_STRING; ;
    break;}
case 68:
#line 478 "./config.y"
{
#ifdef USE_TLS
		  if (currserv->tlsCert)
		  {
		    tls_free_cert (currserv->tlsCert);
		    currserv->tlsCert = NULL;
		  }
		  if (yyvsp[-3].str[0] != '/')
		  {
		    char *tmp = talloc (strlen (sslCertsPath) + strlen (yyvsp[-3].str) + 2);
		    
		    if (tmp)
		    {
		      strcpy (tmp, sslCertsPath);
		      strcat (tmp, "/");
		      strcat (tmp, yyvsp[-3].str);
		      currserv->tlsCert = tls_read_cert (tmp);
		    }
		  }
		  else
		    currserv->tlsCert = tls_read_cert (yyvsp[-3].str);
		  if (!currserv->tlsCert)
		  {
		    syslog (LOG_ERR, "Failed to read certificate file: %m");
		    errno = EINVAL;
		    YYABORT;
		  }
		  
		  if (currserv->tlsKey)
		  {
		    tls_free_key (currserv->tlsKey);
		    currserv->tlsKey = NULL;
		  }
		  if (yyvsp[0].str[0] != '/')
		  {
		    char *tmp = talloc (strlen (sslCertsPath) + strlen (yyvsp[0].str) + 2);
		    
		    if (tmp)
		    {
		      strcpy (tmp, sslCertsPath);
		      strcat (tmp, "/");
		      strcat (tmp, yyvsp[0].str);
		      currserv->tlsKey = tls_read_key (tmp);
		    }
		  }
		  else
		    currserv->tlsKey = tls_read_key (yyvsp[0].str);
		  if (!currserv->tlsKey)
		  {
		    syslog (LOG_ERR, "Error reading key: %m");
		    errno = EINVAL;
		    YYABORT;
		  }
#else
		  syslog (LOG_WARNING, "Warning: AcceptTLS used but TLS "
			"support is not compiled.");
#endif
		;
    break;}
case 69:
#line 537 "./config.y"
{
#ifdef USE_TLS
		  if (yyvsp[0].num)
		    currserv->tlsOptions |= tlsVerifyClient;
		  else
		    currserv->tlsOptions &= ~tlsVerifyClient;
#else
		  syslog (LOG_WARNING, "Warning: TlsVerifyClient was used "
		        "but TLS support is not compiled.");
#endif
		;
    break;}
case 70:
#line 549 "./config.y"
{
#ifdef USE_TLS
		  currserv->loginTLS = (yyvsp[0].num != 0);
#else
		  syslog (LOG_WARNING, "Warning: TlsAutoLogin was used "
		        "but TLS support is not compiled.");
#endif
		;
    break;}
case 71:
#line 558 "./config.y"
{
#ifdef USE_TLS
		  currserv->tlsNoLogout = (yyvsp[0].num != 0);
#else
		  syslog (LOG_WARNING, "Warning: TlsNoNewUser was used "
		        "but TLS support is not compiled.");
#endif
		;
    break;}
case 72:
#line 567 "./config.y"
{ confExpectingToken = D_STRING; ;
    break;}
case 73:
#line 569 "./config.y"
{ confExpectingToken = D_STRING; ;
    break;}
case 74:
#line 571 "./config.y"
{
		  server_add_alias (currserv, yyvsp[0].str, yyvsp[-3].str);
		;
    break;}
case 75:
#line 575 "./config.y"
{
		  currserv->sleepOnFail = yyvsp[0].num;
		;
    break;}
case 76:
#line 579 "./config.y"
{
		  currserv->maxLoginAttempts = yyvsp[0].num;
		;
    break;}
case 77:
#line 583 "./config.y"
{ confExpectingToken = D_STRING; ;
    break;}
case 78:
#line 585 "./config.y"
{
#ifdef HAVE_LIBPAM
		  pfree (currserv->pam_service, currserv);
		  currserv->pam_service = pstring (yyvsp[0].str, currserv);
#else
		  syslog (LOG_WARNING, "Warning: PamService used but PAM "
			"support is not compiled.");
#endif
		;
    break;}
case 79:
#line 595 "./config.y"
{
		  currserv->defHardLink = yyvsp[0].num? 1 : 0;
		;
    break;}
case 80:
#line 599 "./config.y"
{ confExpectingToken = D_STRING; ;
    break;}
case 81:
#line 601 "./config.y"
{
		  pfree (currserv->dirMsgFile, currserv);
		  currserv->dirMsgFile = pstring (yyvsp[0].str, currserv);
		;
    break;}
case 82:
#line 606 "./config.y"
{ confExpectingToken = D_STRING; ;
    break;}
case 83:
#line 609 "./config.y"
{ confExpectingToken = D_STRING; ;
    break;}
case 84:
#line 612 "./config.y"
{ confExpectingToken = D_STRING; ;
    break;}
case 85:
#line 615 "./config.y"
{ confExpectingToken = D_STRING; ;
    break;}
case 86:
#line 617 "./config.y"
{
#ifdef USE_SQL
		  currserv->sql.type = sqlINVALID;
#ifdef HAVE_MYSQL
		  if (!strcmp (yyvsp[-9].str, "mysql"))
		    currserv->sql.type = sqlMYSQL;
#endif
		  if (currserv->sql.type == sqlINVALID)
		  {
		    syslog (LOG_ERR, "Invalid sql type (%s).", yyvsp[-9].str);
		    YYABORT;
		  }
		  
		  pfree (currserv->sqlHost, currserv);
		  currserv->sqlHost = pstring (yyvsp[-6].str, currserv);
		  pfree (currserv->sqlUser, currserv);
		  currserv->sqlUser = pstring (yyvsp[-3].str, currserv);
		  pfree (currserv->sqlDB, currserv);
		  currserv->sqlDB = pstring (yyvsp[0].str, currserv);
		  pfree (currserv->sqlPass, currserv);
		  currserv->sqlPass = NULL;
		  pfree (currserv->sqlCert, currserv);
		  currserv->sqlCert = NULL;
		  pfree (currserv->sqlKey, currserv);
		  currserv->sqlKey = NULL;
#else
		  syslog (LOG_WARNING, "Warning: SQLConnect was used but SQL support is not compiled.");
#endif
		;
    break;}
case 87:
#line 647 "./config.y"
{ confExpectingToken = D_STRING; ;
    break;}
case 88:
#line 649 "./config.y"
{
#ifdef USE_SQL
		  pfree (currserv->sqlPass, currserv);
		  currserv->sqlPass = pstring (yyvsp[0].str, currserv);
#endif
		;
    break;}
case 89:
#line 656 "./config.y"
{ confExpectingToken = D_STRING; ;
    break;}
case 90:
#line 659 "./config.y"
{ confExpectingToken = D_STRING; ;
    break;}
case 91:
#line 661 "./config.y"
{
#ifdef USE_SQL
		  pfree (currserv->sqlCert, currserv);
		  currserv->sqlCert = pstring (yyvsp[-3].str, currserv);
		  pfree (currserv->sqlKey, currserv);
		  currserv->sqlKey = pstring (yyvsp[0].str, currserv);
#if defined(HAVE_MYSQL) && !defined(HAVE_MYSQL_SSL_SET)
		  if (currserv->sql.type == sqlMYSQL)
		    syslog (LOG_WARNING, "Warning: SQLTLSConnect used but MySQL library lacks TLS support.");
#endif
#endif
		;
    break;}
case 92:
#line 674 "./config.y"
{ confExpectingToken = D_STRING; ;
    break;}
case 93:
#line 676 "./config.y"
{
#ifdef USE_SQL
		  pfree (currserv->sqlUserQuery, currserv);
		  currserv->sqlUserQuery = pstring (yyvsp[0].str, currserv);
#endif
		;
    break;}
case 94:
#line 683 "./config.y"
{ confExpectingToken = D_STRING; ;
    break;}
case 95:
#line 685 "./config.y"
{
#ifdef USE_SQL
		  pfree (currserv->sqlDirQuery, currserv);
		  currserv->sqlDirQuery = pstring (yyvsp[0].str, currserv);
#endif
		;
    break;}
case 96:
#line 692 "./config.y"
{ confExpectingToken = D_STRING; ;
    break;}
case 97:
#line 694 "./config.y"
{
#ifdef USE_SQL
		  pfree (currserv->sqlConnectQuery, currserv);
		  currserv->sqlConnectQuery = pstring (yyvsp[0].str, currserv);
#endif
		;
    break;}
case 98:
#line 701 "./config.y"
{
		  currserv->maxConnects = yyvsp[0].num;
		;
    break;}
case 102:
#line 712 "./config.y"
{
		  if(currserv->ports)
		    pfree(currserv->ports, currserv);
		  currserv->ports = NULL;
		  currserv->numPorts = 0;
		;
    break;}
case 103:
#line 719 "./config.y"
{
		  if(currserv->bindings)
		    pfree(currserv->bindings, currserv);
		  currserv->bindings = NULL;
		  currserv->numBindings = 0;
		;
    break;}
case 104:
#line 726 "./config.y"
{
		  if(currserv->loginFailedMsg)
		    pfree(currserv->loginFailedMsg, currserv);
		  currserv->loginFailedMsg = NULL;
		;
    break;}
case 105:
#line 732 "./config.y"
{
		  if(currserv->userInvalidMsg)
		    pfree(currserv->userInvalidMsg, currserv);
		  currserv->userInvalidMsg = NULL;
		;
    break;}
case 106:
#line 738 "./config.y"
{
		  if(currserv->passRequestMsg)
		    pfree(currserv->passRequestMsg, currserv);
		  currserv->passRequestMsg = NULL;
		;
    break;}
case 107:
#line 744 "./config.y"
{
		  if(currserv->anonPassMsg)
		    pfree(currserv->anonPassMsg, currserv);
		  currserv->anonPassMsg = NULL;
		;
    break;}
case 108:
#line 750 "./config.y"
{
		  pfree (currserv->dirMsgFile, currserv);
		  currserv->dirMsgFile = NULL;
		;
    break;}
case 109:
#line 755 "./config.y"
{
		  pfree (currserv->welcomeMsg, currserv);
		  currserv->welcomeMsg = NULL;
		;
    break;}
case 110:
#line 760 "./config.y"
{
		  pfree (currserv->ranges, currserv);
		  currserv->ranges = NULL;
		  currserv->numRanges = 0;
		;
    break;}
case 111:
#line 766 "./config.y"
{
#ifdef USE_SQL
		  pfree (currserv->sqlUserQuery, currserv);
		  currserv->sqlUserQuery = NULL;
#endif
		;
    break;}
case 112:
#line 773 "./config.y"
{
#ifdef USE_SQL
		  pfree (currserv->sqlDirQuery, currserv);
		  currserv->sqlDirQuery = NULL;
#endif
		;
    break;}
case 113:
#line 780 "./config.y"
{
#ifdef USE_SQL
		  pfree (currserv->sqlConnectQuery, currserv);
		  currserv->sqlConnectQuery = NULL;
#endif
		;
    break;}
case 115:
#line 792 "./config.y"
{ confExpectingToken = D_STRING; ;
    break;}
case 116:
#line 794 "./config.y"
{
		  char *np;
		  
		  for (np = yyvsp[-1].str; *np; np++)
		  {
		    if (isspace (*np & 0xFF))
		    {
		      syslog (LOG_ERR, "A user name can't contain whitespace(%s). Aliases can.", yyvsp[-1].str);
		      YYABORT;
		    }
		  }
		  if (curruser)
		  {
		    curruser = copy_user (curruser, yyvsp[-1].str, currserv);
		    if (!curruser)
		      YYABORT;
		  }
		  else
		  {
		    curruser = find_server_user (currserv, yyvsp[-1].str, currserv);
		    if (!curruser)
		    {
		      curruser = new_user (yyvsp[-1].str, currserv);
		      curruser->allowLogin = currserv->allowLogin;
		      curruser->allowSecLogin = currserv->allowSecLogin;
		      curruser->allowForeign = currserv->allowForeign;
		      curruser->allowOutOfRange = currserv->allowOutOfRange;
		    }
		    if (!curruser)
		      YYABORT;
		    pfree (curruser->access, curruser);
		    curruser->access = pattach(currserv->access, curruser);
		    curruser->defHardLink = currserv->defHardLink;
		    curruser->maxIdle = currserv->maxIdle;
		    curruser->passwordNeeded = currserv->passwordNeeded;
		    curruser->dirMsgFile = pattach (currserv->dirMsgFile, curruser);
#ifdef USE_SQL
		    curruser->sqlDirQuery = pattach (currserv->sqlDirQuery, curruser);
#endif
		    // Reset uid and gid, but don't activate in spec_flags.
		    curruser->uid = unprivUid;
		    curruser->gid = unprivGid;
		    if(currserv->chroot)
		    {
		      pfree (curruser->chroot, curruser);
		      curruser->chroot = pattach(currserv->chroot, curruser);
		      curruser->spec_flags |= ufChroot;
		    }
		  }
		  usertop = talloc (sizeof (*usertop));
		  if (!usertop)
		    YYABORT;
		  usertop->item = curruser;
		  usertop->next = userstack;
		  userstack = usertop;
		;
    break;}
case 117:
#line 853 "./config.y"
{
		  if(curruser->chroot)
		  {
		    char *tmp = curruser->chroot;
		    char *home = curruser->home;
		    user_t *pwUser = NULL;
		    
		    if (!home)
		    {
		      pwUser = find_passwd_user (curruser->name, NULL);
		      if (pwUser && pwUser->home)
			home = pwUser->home;
		    }
		    curruser->chroot = pstring(full_path(curruser->chroot,
			  NULL, home), curruser);
		    pfree(tmp, curruser);
		    pfree (pwUser, NULL);
		  }
		  curruser->next = padopt (currserv->users, currserv, curruser);
		  currserv->users = curruser;
		  userstack = userstack->next;
		  curruser = userstack? userstack->item : NULL;
		;
    break;}
case 123:
#line 888 "./config.y"
{
		  curruser->anonymous = (yyvsp[0].num != 0);
		  curruser->spec_flags |= ufAnonymous;
		  if(curruser->anonymous)
		  {
		    curruser->allowLogin = 1;
		    curruser->passwordNeeded = 1;
		  }
		;
    break;}
case 124:
#line 898 "./config.y"
{ confExpectingToken = D_STRING; ;
    break;}
case 125:
#line 900 "./config.y"
{
		  server_add_alias(currserv, yyvsp[0].str, curruser->name);
		;
    break;}
case 126:
#line 904 "./config.y"
{ confExpectingToken = D_STRING; ;
    break;}
case 127:
#line 906 "./config.y"
{
		  pfree(curruser->home, curruser);
		  curruser->home = pstring(full_path (yyvsp[0].str, NULL, NULL), curruser);
		  curruser->spec_flags |= ufHome;
		;
    break;}
case 128:
#line 912 "./config.y"
{ confExpectingToken = D_STRING; ;
    break;}
case 129:
#line 914 "./config.y"
{
		  pfree(curruser->chroot, curruser);
		  curruser->chroot = pstring(yyvsp[0].str, curruser);
		  curruser->spec_flags |= ufChroot;
		;
    break;}
case 130:
#line 920 "./config.y"
{
		  curruser->passwordNeeded = (yyvsp[0].num != 0);
		;
    break;}
case 131:
#line 924 "./config.y"
{ confExpectingToken = D_STRING; ;
    break;}
case 132:
#line 926 "./config.y"
{
		  pfree (curruser->password, curruser);
		  curruser->password = pstring(yyvsp[0].str, curruser);
		  curruser->passwordNeeded = 1;
		  curruser->anonymous = 0;
		  curruser->spec_flags |= ufPassword | ufAnonymous;
		;
    break;}
case 133:
#line 934 "./config.y"
{ confExpectingToken = D_UID; ;
    break;}
case 134:
#line 936 "./config.y"
{
		  curruser->spec_flags |= ufUid;
		  curruser->uid = yyvsp[0].num;
		;
    break;}
case 135:
#line 941 "./config.y"
{ confExpectingToken = D_GID; ;
    break;}
case 136:
#line 943 "./config.y"
{
		  curruser->spec_flags |= ufGid;
		  curruser->gid = yyvsp[0].num;
		;
    break;}
case 137:
#line 948 "./config.y"
{
		  curruser->allowLogin = (yyvsp[0].num != 0);
		;
    break;}
case 138:
#line 952 "./config.y"
{
		  curruser->allowSecLogin = (yyvsp[0].num != 0);
		;
    break;}
case 139:
#line 956 "./config.y"
{
		  curruser->allowForeign = (yyvsp[0].num != 0);
		;
    break;}
case 140:
#line 960 "./config.y"
{
		  curruser->allowOutOfRange = (yyvsp[0].num != 0);
		;
    break;}
case 141:
#line 964 "./config.y"
{
		  curruser->maxIdle = yyvsp[0].num;
		;
    break;}
case 142:
#line 968 "./config.y"
{ confExpectingToken = D_STRING; ;
    break;}
case 143:
#line 970 "./config.y"
{
		  pfree (curruser->external_login, curruser);
		  curruser->external_login = pstring (full_path (yyvsp[0].str, NULL, curruser->home), curruser);
		;
    break;}
case 144:
#line 975 "./config.y"
{ confExpectingToken = D_STRING; ;
    break;}
case 145:
#line 977 "./config.y"
{
		  pfree (curruser->access_program, curruser);
		  curruser->access_program = pstring (full_path (yyvsp[0].str, NULL, curruser->home), curruser);
		;
    break;}
case 146:
#line 982 "./config.y"
{
		  curruser->defHardLink = yyvsp[0].num? 1 : 0;
		;
    break;}
case 147:
#line 986 "./config.y"
{ confExpectingToken = D_STRING; ;
    break;}
case 148:
#line 988 "./config.y"
{
		  pfree (curruser->dirMsgFile, curruser);
		  curruser->dirMsgFile = pstring (yyvsp[0].str, curruser);
		;
    break;}
case 149:
#line 993 "./config.y"
{ confExpectingToken = D_STRING; ;
    break;}
case 150:
#line 995 "./config.y"
{
#ifdef USE_SQL
		  pfree (curruser->sqlDirQuery, curruser);
		  curruser->sqlDirQuery = pstring (yyvsp[0].str, curruser);
#endif
		;
    break;}
case 151:
#line 1002 "./config.y"
{
		  curruser->adminPrivs = yyvsp[0].num;
		;
    break;}
case 152:
#line 1006 "./config.y"
{
		  curruser->maxLogins = yyvsp[0].num;
		;
    break;}
case 154:
#line 1013 "./config.y"
{
		  yyval.num = yyvsp[0].num;
		;
    break;}
case 155:
#line 1017 "./config.y"
{
		  yyval.num = yyvsp[-2].num | yyvsp[0].num;
		;
    break;}
case 156:
#line 1023 "./config.y"
{
		  yyval.num = admList;
		;
    break;}
case 157:
#line 1027 "./config.y"
{
		  yyval.num = admMsg;
		;
    break;}
case 158:
#line 1031 "./config.y"
{
		  yyval.num = admAbort;
		;
    break;}
case 159:
#line 1035 "./config.y"
{
		  yyval.num = admDisconnect;
		;
    break;}
case 160:
#line 1039 "./config.y"
{
		  yyval.num = admReload;
		;
    break;}
case 161:
#line 1043 "./config.y"
{
		  yyval.num = -1;
		;
    break;}
case 164:
#line 1053 "./config.y"
{
		  curruser->spec_flags &= ~ufUid;
		;
    break;}
case 165:
#line 1057 "./config.y"
{
		  curruser->spec_flags &= ~ufGid;
		;
    break;}
case 166:
#line 1061 "./config.y"
{
		  curruser->spec_flags &= ~ufHome;
		  if(curruser->home)
		    pfree(curruser->home, curruser);
		  curruser->home = NULL;
		;
    break;}
case 167:
#line 1068 "./config.y"
{
		  curruser->spec_flags &= ~ufPassword;
		;
    break;}
case 168:
#line 1072 "./config.y"
{
		  pfree (curruser->external_login, curruser);
		  curruser->external_login = NULL;
		;
    break;}
case 169:
#line 1077 "./config.y"
{
		  pfree (curruser->access_program, curruser);
		  curruser->access_program = NULL;
		;
    break;}
case 170:
#line 1082 "./config.y"
{
		  pfree (curruser->dirMsgFile, curruser);
		  curruser->dirMsgFile = NULL;
		;
    break;}
case 171:
#line 1087 "./config.y"
{
#ifdef USE_SQL
		  pfree (curruser->sqlDirQuery, curruser);
		  curruser->sqlDirQuery = NULL;
#endif
		;
    break;}
case 172:
#line 1094 "./config.y"
{
		  curruser->adminPrivs = 0;
		;
    break;}
case 174:
#line 1103 "./config.y"
{ confExpectingToken = D_STRING; ;
    break;}
case 175:
#line 1105 "./config.y"
{
		  access_t *p;
		  
		  p = currdir;
		  currdir = palloc(sizeof(access_t), NULL, NULL);
		  if(!currdir)
		    YYABORT;
		  currdir->path = pstring (full_path (yyvsp[-1].str, p? p->path : NULL,
		        curruser? curruser->home : NULL), currdir);
		  dirtop = talloc (sizeof (*dirtop));
		  if (!dirtop)
		    YYABORT;
		  dirtop->item = currdir;
		  dirtop->next = dirstack;
		  dirstack = dirtop;
		;
    break;}
case 176:
#line 1124 "./config.y"
{
		  access_t *p = NULL, *a = NULL;
		  
		  dirstack = dirstack->next;
		  if(curruser)
		  {
		    if (currdir->numMasks || !curruser->access || !curruser->access->numMasks)
		    {
		      currdir->next = padopt(curruser->access, curruser, currdir);
		      curruser->access = pattach(currdir, curruser);
		    }
		    else
		    {
		      p = curruser->access;
		      if (pnparents (p) > 1)
		      {
			a = palloc (sizeof (access_t), curruser, NULL);
			if (!a)
			  YYABORT;
			pfree (p, curruser);
			curruser->access = a;
		      }
		    }
		  }
		  else
		  {
		    if (currdir->numMasks || !currserv->access || !currserv->access->numMasks)
		    {
		      currdir->next = padopt(currserv->access, currserv, currdir);
		      currserv->access = pattach(currdir, currserv);
		    }
		    else
		    {
		      p = currserv->access;
		      if (pnparents (p) > 1)
		      {
			a = palloc (sizeof (access_t), currserv, NULL);
			if (!a)
			  YYABORT;
			pfree (p, currserv);
			currserv->access = a;
		      }
		    }
		  }
		  if (p)
		  {
		    // We need to split up the access chain down to the place
		    // where we should insert.
		    while (1)
		    {
		      if (a)
		      {
			memcpy (a, p, sizeof (*a));
			a->path = pattach (p->path, a);
			a->masks = pattach (p->masks, a);
			a->fakeUser = pattach (p->fakeUser, a);
			a->fakeGroup = pattach (p->fakeGroup, a);
			a->fakeFile = pattach (p->fakeFile, a);
			a->fakeDir = pattach (p->fakeDir, a);
			a->next = pattach (p->next, a);
			p = a;
		      }
		      if (!p->next || !p->next->numMasks)
			break;
		      if (a)
		      {
			a = palloc (sizeof (access_t), p, NULL);
			if (!a)
			  YYABORT;
			p = p->next;
			pfree (p->next, p);
			p->next = a;
		      }
		      else
			p = p->next;
		    }
		    currdir->next = padopt (p->next, p, currdir);
		    p->next = pattach (currdir, p);
		  }
		  currdir = dirstack? dirstack->item : NULL;
		;
    break;}
case 181:
#line 1216 "./config.y"
{
		  currdir->deny &= ~yyvsp[0].num;
		  currdir->require &= ~yyvsp[0].num;
		  currdir->allow |= yyvsp[0].num;
		;
    break;}
case 182:
#line 1222 "./config.y"
{
		  currdir->allow &= ~yyvsp[0].num;
		  currdir->require &= ~yyvsp[0].num;
		  currdir->deny |= yyvsp[0].num;
		;
    break;}
case 183:
#line 1228 "./config.y"
{
		  yyvsp[0].num &= acEncrypted | acSigned;
		  
		  currdir->allow &= ~yyvsp[0].num;
		  currdir->deny &= ~yyvsp[0].num;
		  currdir->require |= yyvsp[0].num;
		;
    break;}
case 184:
#line 1236 "./config.y"
{
		  currdir->hidden = (yyvsp[0].num != 0);
		;
    break;}
case 185:
#line 1240 "./config.y"
{ confExpectingToken = D_STRING; ;
    break;}
case 186:
#line 1242 "./config.y"
{
		  pfree(currdir->fakeUser, currdir);
		  currdir->fakeUser = pstring(yyvsp[0].str, currdir);
		;
    break;}
case 187:
#line 1247 "./config.y"
{ confExpectingToken = D_STRING; ;
    break;}
case 188:
#line 1249 "./config.y"
{
		  pfree(currdir->fakeGroup, currdir);
		  currdir->fakeGroup = pstring(yyvsp[0].str, currdir);
		;
    break;}
case 189:
#line 1254 "./config.y"
{ confExpectingToken = D_STRING; ;
    break;}
case 190:
#line 1256 "./config.y"
{
		  pfree(currdir->fakeFile, currdir);
		  currdir->fakeFile = pstring(yyvsp[0].str, currdir);
		;
    break;}
case 191:
#line 1261 "./config.y"
{ confExpectingToken = D_STRING; ;
    break;}
case 192:
#line 1263 "./config.y"
{
		  pfree(currdir->fakeDir, currdir);
		  currdir->fakeDir = pstring(yyvsp[0].str, currdir);
		;
    break;}
case 193:
#line 1268 "./config.y"
{
		  currdir->hardlink = yyvsp[0].num? 1 : -1;
		;
    break;}
case 194:
#line 1272 "./config.y"
{ confExpectingToken = D_STRING; ;
    break;}
case 195:
#line 1274 "./config.y"
{
		  pfree (currdir->dirMsgFile, currdir);
		  currdir->dirMsgFile = pstring (yyvsp[0].str, currdir);
		;
    break;}
case 196:
#line 1279 "./config.y"
{ confExpectingToken = D_STRING; ;
    break;}
case 197:
#line 1281 "./config.y"
{
		  if (currdir->numMasks)
		    currdir->masks = prealloc (currdir->masks, sizeof (*currdir->masks) * (currdir->numMasks + 1));
		  else
		    currdir->masks = palloc (sizeof (*currdir->masks), currdir, NULL);
		  if (!currdir->masks)
		    YYABORT;
		  currdir->masks[currdir->numMasks++] = pstring (yyvsp[0].str, currdir->masks);
		;
    break;}
case 201:
#line 1298 "./config.y"
{
		  if(currdir->fakeUser != (char*)-1)
		    pfree(currdir->fakeUser, currdir);
		  currdir->fakeUser = (char*)-1;
		;
    break;}
case 202:
#line 1304 "./config.y"
{
		  if(currdir->fakeGroup != (char*)-1)
		    pfree(currdir->fakeGroup, currdir);
		  currdir->fakeGroup = (char*)-1;
		;
    break;}
case 203:
#line 1310 "./config.y"
{
		  if(currdir->fakeFile != (char*)-1)
		    pfree(currdir->fakeFile, currdir);
		  currdir->fakeFile = (char*)-1;
		;
    break;}
case 204:
#line 1316 "./config.y"
{
		  if(currdir->fakeDir != (char*)-1)
		    pfree(currdir->fakeDir, currdir);
		  currdir->fakeDir = (char*)-1;
		;
    break;}
case 205:
#line 1322 "./config.y"
{
		  pfree (currdir->dirMsgFile, currdir);
		  currdir->dirMsgFile = NULL;
		;
    break;}
case 206:
#line 1329 "./config.y"
{
		  yyval.num = yyvsp[0].num;
		;
    break;}
case 207:
#line 1333 "./config.y"
{
		  yyval.num = yyvsp[-2].num | yyvsp[0].num;
		;
    break;}
case 208:
#line 1339 "./config.y"
{
		  yyval.num = acSearch;
		;
    break;}
case 209:
#line 1343 "./config.y"
{
		  yyval.num = acReadFile;
		;
    break;}
case 210:
#line 1347 "./config.y"
{
		  yyval.num = acListing;
		;
    break;}
case 211:
#line 1351 "./config.y"
{
		  yyval.num = acCreateFile;
		;
    break;}
case 212:
#line 1355 "./config.y"
{
		  yyval.num = acCreateDir;
		;
    break;}
case 213:
#line 1359 "./config.y"
{
		  yyval.num = acAppend;
		;
    break;}
case 214:
#line 1363 "./config.y"
{
		  yyval.num = acOverwrite;
		;
    break;}
case 215:
#line 1367 "./config.y"
{
		  yyval.num = acDelete;
		;
    break;}
case 216:
#line 1371 "./config.y"
{
		  yyval.num = acRename;
		;
    break;}
case 217:
#line 1375 "./config.y"
{
		  yyval.num = acEncrypted;
		;
    break;}
case 218:
#line 1379 "./config.y"
{
		  yyval.num = acSigned;
		;
    break;}
case 219:
#line 1383 "./config.y"
{
		  yyval.num = acSearch | acReadFile | acListing;
		;
    break;}
case 220:
#line 1387 "./config.y"
{
		  yyval.num = acCreateFile | acCreateDir | acAppend | acOverwrite |
		        acDelete;
		;
    break;}
case 221:
#line 1392 "./config.y"
{
		  yyval.num = acCreateFile | acCreateDir | acAppend;
		;
    break;}
case 222:
#line 1396 "./config.y"
{
		  yyval.num = -1;
		;
    break;}
}
   /* the action file gets copied in in place of this dollarsign */
#line 543 "/usr/share/bison.simple"

  yyvsp -= yylen;
  yyssp -= yylen;
#ifdef YYLSP_NEEDED
  yylsp -= yylen;
#endif

#if YYDEBUG != 0
  if (yydebug)
    {
      short *ssp1 = yyss - 1;
      fprintf (stderr, "state stack now");
      while (ssp1 != yyssp)
	fprintf (stderr, " %d", *++ssp1);
      fprintf (stderr, "\n");
    }
#endif

  *++yyvsp = yyval;

#ifdef YYLSP_NEEDED
  yylsp++;
  if (yylen == 0)
    {
      yylsp->first_line = yylloc.first_line;
      yylsp->first_column = yylloc.first_column;
      yylsp->last_line = (yylsp-1)->last_line;
      yylsp->last_column = (yylsp-1)->last_column;
      yylsp->text = 0;
    }
  else
    {
      yylsp->last_line = (yylsp+yylen-1)->last_line;
      yylsp->last_column = (yylsp+yylen-1)->last_column;
    }
#endif

  /* Now "shift" the result of the reduction.
     Determine what state that goes to,
     based on the state we popped back to
     and the rule number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTBASE] + *yyssp;
  if (yystate >= 0 && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTBASE];

  goto yynewstate;

yyerrlab:   /* here on detecting error */

  if (! yyerrstatus)
    /* If not already recovering from an error, report this error.  */
    {
      ++yynerrs;

#ifdef YYERROR_VERBOSE
      yyn = yypact[yystate];

      if (yyn > YYFLAG && yyn < YYLAST)
	{
	  int size = 0;
	  char *msg;
	  int x, count;

	  count = 0;
	  /* Start X at -yyn if nec to avoid negative indexes in yycheck.  */
	  for (x = (yyn < 0 ? -yyn : 0);
	       x < (sizeof(yytname) / sizeof(char *)); x++)
	    if (yycheck[x + yyn] == x)
	      size += strlen(yytname[x]) + 15, count++;
	  msg = (char *) malloc(size + 15);
	  if (msg != 0)
	    {
	      strcpy(msg, "parse error");

	      if (count < 5)
		{
		  count = 0;
		  for (x = (yyn < 0 ? -yyn : 0);
		       x < (sizeof(yytname) / sizeof(char *)); x++)
		    if (yycheck[x + yyn] == x)
		      {
			strcat(msg, count == 0 ? ", expecting `" : " or `");
			strcat(msg, yytname[x]);
			strcat(msg, "'");
			count++;
		      }
		}
	      yyerror(msg);
	      free(msg);
	    }
	  else
	    yyerror ("parse error; also virtual memory exceeded");
	}
      else
#endif /* YYERROR_VERBOSE */
	yyerror("parse error");
    }

  goto yyerrlab1;
yyerrlab1:   /* here on error raised explicitly by an action */

  if (yyerrstatus == 3)
    {
      /* if just tried and failed to reuse lookahead token after an error, discard it.  */

      /* return failure if at end of input */
      if (yychar == YYEOF)
	YYABORT;

#if YYDEBUG != 0
      if (yydebug)
	fprintf(stderr, "Discarding token %d (%s).\n", yychar, yytname[yychar1]);
#endif

      yychar = YYEMPTY;
    }

  /* Else will try to reuse lookahead token
     after shifting the error token.  */

  yyerrstatus = 3;		/* Each real token shifted decrements this */

  goto yyerrhandle;

yyerrdefault:  /* current state does not do anything special for the error token. */

#if 0
  /* This is wrong; only states that explicitly want error tokens
     should shift them.  */
  yyn = yydefact[yystate];  /* If its default is to accept any token, ok.  Otherwise pop it.*/
  if (yyn) goto yydefault;
#endif

yyerrpop:   /* pop the current state because it cannot handle the error token */

  if (yyssp == yyss) YYABORT;
  yyvsp--;
  yystate = *--yyssp;
#ifdef YYLSP_NEEDED
  yylsp--;
#endif

#if YYDEBUG != 0
  if (yydebug)
    {
      short *ssp1 = yyss - 1;
      fprintf (stderr, "Error: state stack now");
      while (ssp1 != yyssp)
	fprintf (stderr, " %d", *++ssp1);
      fprintf (stderr, "\n");
    }
#endif

yyerrhandle:

  yyn = yypact[yystate];
  if (yyn == YYFLAG)
    goto yyerrdefault;

  yyn += YYTERROR;
  if (yyn < 0 || yyn > YYLAST || yycheck[yyn] != YYTERROR)
    goto yyerrdefault;

  yyn = yytable[yyn];
  if (yyn < 0)
    {
      if (yyn == YYFLAG)
	goto yyerrpop;
      yyn = -yyn;
      goto yyreduce;
    }
  else if (yyn == 0)
    goto yyerrpop;

  if (yyn == YYFINAL)
    YYACCEPT;

#if YYDEBUG != 0
  if (yydebug)
    fprintf(stderr, "Shifting error token, ");
#endif

  *++yyvsp = yylval;
#ifdef YYLSP_NEEDED
  *++yylsp = yylloc;
#endif

  yystate = yyn;
  goto yynewstate;

 yyacceptlab:
  /* YYACCEPT comes here.  */
  if (yyfree_stacks)
    {
      free (yyss);
      free (yyvs);
#ifdef YYLSP_NEEDED
      free (yyls);
#endif
    }
  return 0;

 yyabortlab:
  /* YYABORT comes here.  */
  if (yyfree_stacks)
    {
      free (yyss);
      free (yyvs);
#ifdef YYLSP_NEEDED
      free (yyls);
#endif
    }
  return 1;
}
#line 1401 "./config.y"

