/*****************************************************************************\
* Copyright (c) 2002 Pelle Johansson.                                         *
* All rights reserved.                                                        *
*                                                                             *
* This file is part of the moftpd package. Use and distribution of            *
* this software is governed by the terms in the file LICENCE, which           *
* should have come with this package.                                         *
\*****************************************************************************/

/* $Id: confparse.h 1020 2004-05-10 10:33:54Z morth $ */

#ifndef _CONFPARSE_H
#define _CONFPARSE_H

int find_identifier (const char *name);

int read_config(const char *path);

int parse_bool (const char *val);
int parse_uid (const char *val);
int parse_gid (const char *val);
int parse_access_list (const char *val);
int parse_admin_list (const char *val);

int yyparse(void);
int yylex(void);
void yyerror(const char *err);

#endif /*_CONFPARSE_H*/
