/*****************************************************************************\
* Copyright (c) 2002 Pelle Johansson.                                         *
* All rights reserved.                                                        *
*                                                                             *
* This file is part of the moftpd package. Use and distribution of            *
* this software is governed by the terms in the file LICENCE, which           *
* should have come with this package.                                         *
\*****************************************************************************/

/* $Id: main.h 1020 2004-05-10 10:33:54Z morth $ */

#ifndef _MAIN_H
#define _MAIN_H

int accounter_master_reply (int sock, void *user, int urgent);

int parse_options(int argc, char ***argv);
void usage(void) __attribute__((__noreturn__));

int super_privs(int failIfChroot);
int drop_privs(void);
int set_uid(uid_t uid, int permanent);
int set_gid(gid_t id, int permanent);
int set_groups(int ngroups, const gid_t *groups);
void set_locale (const char *loc);

int same_addr(const struct sockaddr *a1, const struct sockaddr *a2,
      int checkPort);
int check_range (const struct sockaddr *addr, const struct sockaddr *net,
      const struct sockaddr *mask);

#endif /*_MAIN_H*/
